
_main:

;USART_mikroC.c,9 :: 		void main() {
;USART_mikroC.c,10 :: 		TRISB=0x00;
	CLRF        TRISB+0 
;USART_mikroC.c,11 :: 		OSCCON=0x76;       //Configure OSCON Register to use
	MOVLW       118
	MOVWF       OSCCON+0 
;USART_mikroC.c,14 :: 		UART1_Init(19200);     // Initialize UART module at 9600 bps
	BSF         BAUDCON+0, 3, 0
	CLRF        SPBRGH+0 
	MOVLW       103
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;USART_mikroC.c,15 :: 		Delay_ms(100);        // Wait for UART module to stabilize
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L_main0:
	DECFSZ      R13, 1, 1
	BRA         L_main0
	DECFSZ      R12, 1, 1
	BRA         L_main0
	DECFSZ      R11, 1, 1
	BRA         L_main0
	NOP
;USART_mikroC.c,17 :: 		UART1_Write_Text("Welcome to studentcompanion.co.za \r\n");
	MOVLW       ?lstr1_USART_mikroC+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr1_USART_mikroC+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;USART_mikroC.c,18 :: 		Delay_ms(500);        // 500ms delay
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_main1:
	DECFSZ      R13, 1, 1
	BRA         L_main1
	DECFSZ      R12, 1, 1
	BRA         L_main1
	DECFSZ      R11, 1, 1
	BRA         L_main1
	NOP
	NOP
;USART_mikroC.c,19 :: 		UART1_Write_Text("Press 1 for Red LED, 2 for Yellow LED and 3 for Green LED \r\n");
	MOVLW       ?lstr2_USART_mikroC+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr2_USART_mikroC+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;USART_mikroC.c,22 :: 		while (1) {                     // Endless loop
L_main2:
;USART_mikroC.c,23 :: 		if (UART1_Data_Ready()) {     // If data is received,
	CALL        _UART1_Data_Ready+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main4
;USART_mikroC.c,24 :: 		uart_rd = UART1_Read();     // read the received data
	CALL        _UART1_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _uart_rd+0 
;USART_mikroC.c,25 :: 		switch(uart_rd){
	GOTO        L_main5
;USART_mikroC.c,26 :: 		case '1':LATB0_bit = 1;
L_main7:
	BSF         LATB0_bit+0, BitPos(LATB0_bit+0) 
;USART_mikroC.c,27 :: 		LATB1_bit = 0;
	BCF         LATB1_bit+0, BitPos(LATB1_bit+0) 
;USART_mikroC.c,28 :: 		LATB2_bit = 0;
	BCF         LATB2_bit+0, BitPos(LATB2_bit+0) 
;USART_mikroC.c,30 :: 		break;
	GOTO        L_main6
;USART_mikroC.c,32 :: 		case '2':LATB0_bit = 0;
L_main8:
	BCF         LATB0_bit+0, BitPos(LATB0_bit+0) 
;USART_mikroC.c,33 :: 		LATB1_bit = 1;
	BSF         LATB1_bit+0, BitPos(LATB1_bit+0) 
;USART_mikroC.c,34 :: 		LATB2_bit = 0;
	BCF         LATB2_bit+0, BitPos(LATB2_bit+0) 
;USART_mikroC.c,36 :: 		break;
	GOTO        L_main6
;USART_mikroC.c,37 :: 		case '3':LATB0_bit = 0;
L_main9:
	BCF         LATB0_bit+0, BitPos(LATB0_bit+0) 
;USART_mikroC.c,38 :: 		LATB1_bit = 0;
	BCF         LATB1_bit+0, BitPos(LATB1_bit+0) 
;USART_mikroC.c,39 :: 		LATB2_bit = 1;
	BSF         LATB2_bit+0, BitPos(LATB2_bit+0) 
;USART_mikroC.c,41 :: 		break;
	GOTO        L_main6
;USART_mikroC.c,42 :: 		default:LATB0_bit = 0;
L_main10:
	BCF         LATB0_bit+0, BitPos(LATB0_bit+0) 
;USART_mikroC.c,43 :: 		LATB1_bit = 0;
	BCF         LATB1_bit+0, BitPos(LATB1_bit+0) 
;USART_mikroC.c,44 :: 		LATB2_bit = 0;
	BCF         LATB2_bit+0, BitPos(LATB2_bit+0) 
;USART_mikroC.c,45 :: 		break;
	GOTO        L_main6
;USART_mikroC.c,47 :: 		}
L_main5:
	MOVF        _uart_rd+0, 0 
	XORLW       49
	BTFSC       STATUS+0, 2 
	GOTO        L_main7
	MOVF        _uart_rd+0, 0 
	XORLW       50
	BTFSC       STATUS+0, 2 
	GOTO        L_main8
	MOVF        _uart_rd+0, 0 
	XORLW       51
	BTFSC       STATUS+0, 2 
	GOTO        L_main9
	GOTO        L_main10
L_main6:
;USART_mikroC.c,48 :: 		}
L_main4:
;USART_mikroC.c,49 :: 		}
	GOTO        L_main2
;USART_mikroC.c,51 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
